Sundial Habits
Reference

Get Connected Account

GET
/api/v1/connection

Confirm the connected Sundial account, permissions, and key expiry. Reads only your account.

Authorization

accessKey
headerAuthorizationBearer <Sundial access key>

Response Body

Confirmed result.

application/json
  1. response
account*
access*string
Value in"read""checkins"
expiresAt*string
Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
Formatdate-time
Example Request
curl -X GET 'https://api.sundialhabits.com/api/v1/connection' \  -H 'Authorization: Bearer <ACCESS_KEY>'
Example Response
{  "account": {    "name": "string",    "email": "string"  },  "access": "read",  "expiresAt": "2019-08-24T14:15:22Z"}